function [S,Svalues]=bmm_stability(Features,kMin,kMax,beta);
%bmm_stab   Compute stability indices for Bayesian mixture
%           implementation bmmsample().
%
%   [S,Svalues]=bmm_stab(Features,kMin,kMax,beta);
%
%   Input:
%     - Features: Struct as returned by fext().
%     - kMin, kMax: Stability indices are computed for
%                   each number of clusters k in {kMin,...,kMax} 
%                   (positive integers).
%     - beta: Base measure scatter parameter passed to bmmsample().
%
%   Output:
%     - S: Vector of stability indices for each k in
%          {kMin,...,kMax}.
%     - Svalues: Matrix of stability values computed by 
%                individual iterations (used to computing standard
%                derivations).
%
  S=[];
  Svalues=[];
  
  for k=kMin:kMax,
    [s,sv]=stab_bmm_singlerun(Features,k,beta);
    S=[S; s];
    Svalues=[Svalues sv];
  end
